Skip to main content
GET
/
companies
Get Org Companies
curl --request GET \
  --url https://api.seamless.ai/api/client/v1/companies \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.seamless.ai/api/client/v1/companies"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.seamless.ai/api/client/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "advertisingIntelligenceUrl": "https://intel.example.com/company/12938475/advertising",
      "alexaScoreUrl": "https://intel.example.com/company/12938475/alexa",
      "annualRevenue": "1000000001",
      "apiResearchId": "research-123",
      "phones": "+1-650-555-0100,+1-650-555-0101",
      "phonesAiScores": "98,86",
      "createdAt": "2024-04-21T14:30:00.000Z",
      "description": "Seamless.AI is a sales intelligence platform.",
      "domain": "seamless.ai",
      "employeeReviewsUrl": "https://intel.example.com/company/12938475/employee-reviews",
      "foundedOn": "2015-01-01",
      "googleFinanceUrl": "https://www.google.com/finance/quote/EXAMPLE:NASDAQ",
      "googleResearchUrl": "https://www.google.com/search?q=seamless.ai",
      "industries": "Information Technology and Services,Computer Software",
      "intelUrl": "https://intel.example.com/company/12938475/overview",
      "jobPostingsUrl": "https://intel.example.com/company/12938475/jobs",
      "linkedInProfileUrl": "https://www.linkedin.com/company/seamless-ai/",
      "linkedInId": "1234567",
      "localSportsTeamsUrl": "https://intel.example.com/company/12938475/local-sports",
      "localWeatherUrl": "https://intel.example.com/company/12938475/local-weather",
      "location": {
        "street1": "800 W El Camino Real",
        "city": "Mountain View",
        "state": "CA",
        "postCode": "94040",
        "country": "United States",
        "countryAbbr": "US",
        "countryAlpha2": "US",
        "countryAlpha3": "USA",
        "fullString": "800 W El Camino Real, Mountain View, CA 94040, United States"
      },
      "name": "Seamless.AI",
      "newsUrl": "https://intel.example.com/company/12938475/news",
      "paidSearchIntelligenceUrl": "https://intel.example.com/company/12938475/paid-search",
      "paidSearchKeywordsIntelligenceUrl": "https://intel.example.com/company/12938475/paid-search-keywords",
      "revenueRange": "$1B+",
      "searchMarketingIntelligenceUrl": "https://intel.example.com/company/12938475/search-marketing",
      "secFilingsUrl": "https://www.sec.gov/edgar/browse/?CIK=0000000",
      "seoResearchUrl": "https://intel.example.com/company/12938475/seo",
      "sicCode": "4832",
      "similarWebsitesUrl": "https://intel.example.com/company/12938475/similar-sites",
      "socialMediaMentionsUrl": "https://intel.example.com/company/12938475/social-mentions",
      "socialMediaPostsUrl": "https://intel.example.com/company/12938475/social-posts",
      "socialPostsUrl": "https://intel.example.com/company/12938475/posts",
      "staffCount": "750",
      "staffCountRange": "501 - 1,000",
      "topTechnologies": "Adobe SiteCatalyst,Adobe Tag Manager,Akamai",
      "updatedAt": "2024-04-21T14:30:00.000Z",
      "webTechnologiesUrl": "https://intel.example.com/company/12938475/web-technologies",
      "websiteAuditUrl": "https://intel.example.com/company/12938475/website-audit",
      "websiteAudit2Url": "https://intel.example.com/company/12938475/website-audit-2",
      "websiteGraderUrl": "https://intel.example.com/company/12938475/website-grader",
      "whoisUrl": "https://who.is/whois/seamless.ai",
      "wikipediaUrl": "https://en.wikipedia.org/wiki/Example_Company",
      "yahooFinanceUrl": "https://finance.yahoo.com/quote/EXAMPLE",
      "newsAndEvents": [
        {
          "title": "<string>",
          "url": "<string>",
          "date": "2023-11-07T05:31:56Z",
          "type": "<string>"
        }
      ],
      "fundingTotal": "100000",
      "latestFundingDate": "2023-08-12",
      "latestFundingClassifications": [
        "Series D"
      ],
      "companyType": "Public",
      "stockTicker": "AAPL"
    }
  ]
}
{
"message": "<string>"
}
{
"msg": "<string>",
"code": "<string>",
"data": {
"productCategory": "<string>",
"additionalCreditsNeeded": 123
}
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

page
integer
default:1

The page number to retrieve.

Example:

1

limit
integer
default:500

The number of results per page.

Required range: x <= 500
Example:

100

startDate
string<date-time>
required

An ISO8601 date time string that defines the start date of the lookback period to return results from.

Example:

"2020-01-01T10:00:00Z"

endDate
string<date-time>
required

An ISO8601 date time string that defines the end date of the lookback period to return results from.

Example:

"2020-01-01T11:00:00Z"

Response

Company Results

data
object[]

A list of companies from your orgs